% Example3_2.m
% Solution to Example 3-2. It uses Lagrange and cubic spline
% interpolations to find the pressure drop of a filter at any
% point in between the experimental data.

clc
clear
clf

% Input data
Q = input(' Vector of flow rates = ');
dP = input (' Vector of pressure drops = ');
disp(' ')
n = input(' Order of the Lagrange interpolation = ');

q = linspace(min(Q) , max(Q));
% Interpolation
dP1 = Lagrange(Q , dP , q , n);
dP2 = NaturalSPLINE(Q , dP , q);

% Plotting the results
plot(Q,dP,'o',q,dP1,q,dP2,'.')
xlabel('Flow Rate (lit./s)')
ylabel('Pressure Drop (kPa)')
legend('Experimental Data','Lagrange Interpolation','Natural Spline Interpolation',2)
