% Example4_2.m
% This program solves Example 4.2. It calculates and plots 
% the volume fraction profile in a gas-solid fluidized bed. 
% The program uses the function DERIV to obtain the pressure 
% gradient.

clear
clc
clf

% Input data
P = input(' Vector of pressures (kPa) = ')*1e3;
dz = input(' Axial distance between pressure probes (m) = ');
rhog = input(' Density of the gas (kg/m3) = ');
rhos = input(' Density of solids (kg/m3) = ');
g = 9.81;
% Pressure gradient
dP = deriv(P,dz);
% Solids concentration
epsilon_s = (-dP-0*rhog*g) / (g*(rhos-rhog));
fprintf('\n Average solids concentration = %4.2f%% \n',...
   100*mean(epsilon_s))

% Plotting the results
z = [0:length(P)-1]*dz;
plot(z,100*epsilon_s)
xlabel('z (m)')
ylabel('Solids volume fraction (%)')
