% Example4_4.m
% Solution to Example 4-4. It calculates and plots the temperature profile
% of a liquid falling along a wall of different temperature. The program
% uses GAUSSLEGENDRE function to evaluate the integral.

clear
clc
clf

% Input data
eta = input(' Vector of independent variable (eta) = ');
h = eta(2) - eta(1);	% Step size
fname = input(' Name of m-file containing the function subject to integration = ');

% Calculation of the temperature profile
for k = 1 : length(eta)
   theta(k) = GaussLegendre(fname,0,eta(k),h);
end
theta = 1 - theta / gamma(4/3);

% Plotting the results
plot(eta,theta)
xlabel('\eta')
ylabel('\theta')
