% Example5_2.m
% Solution to Example 5.2. This program calculates and plots
% concentrations of the components of the system A<->B<->C vs
% time. It calls the function LinearODE to solve the set of
% linear ordinary differential equations.

clear
clc
clf

% Input data
k1 = input(' A->B  , k1 = ');
k2 = input(' B->A  , k2 = ');
k3 = input(' B->C  , k3 = ');
k4 = input(' C->B  , k4 = ');
disp(' ')
c0(1) = input(' Initial concentration of A = ');
c0(2) = input(' Initial concentration of B = ');
c0(3) = input(' Initial concentration of C = ');
disp(' ')
tmax = input(' Maximum time = ');
dt = input(' Time interval = ');
disp(' ')

% Matrix of coefficients
K = [-k1, k2, 0; k1, -k2-k3, k4; 0, k3, -k4];
t = [0:dt:tmax];	% Vector of time
if t(end) ~= tmax
   t(end+1) = tmax;
end

disp(' ')
disp('  1 ) Matrix exponential method')
disp('  2 ) Eigenvector method')
disp('  0 ) Exit')
method = input('\n Choose the method of solution : ');

% Solution
method = 1;
while method
   c = LinearODE(K,c0,t,[],method);	% Solving the set of equations
   plot(t,c)								% Plotting the results
   xlabel('Time')
   ylabel('Concentration')
   legend('C_A','C_B','C_C')
   method = input('\n Choose the method of solution : ');
end
