% Example6_1.m
% Solution to Example 6.1. This program calculates and plots
% the temperature profiles of a rectangular plate by solving
% Laplace or Poisson equation by finite difference method,
% using the function ELLIPTIC.M.

clear
clc
clf
disp(' Solution of elliptic partial differential equation.')
bcdialog = [' Lower x boundary condition:'
   ' Upper x boundary condition:'
   ' Lower y boundary condition:'
   ' Upper y boundary condition:'];

redo = 1;
while redo
   disp(' ')
   length = input(' Length of the plate (x-direction) (m) = ');
   width = input(' Width of the plate  (y-direction) (m) = ');
   p = input(' Number of divisions in x-direction = ');
   q = input(' Number of divisions in y-direction = ');
   f = input(' Right-hand side of the equation (f) = ');
   disp(' ')
   disp(' Boundary conditions:')
   for k = 1:4
      disp(' ')
      disp(bcdialog(k,:))
      disp(' 1 - Dirichlet')
      disp(' 2 - Neumann')
      disp(' 3 - Robbins')
      bc(k,1) = input(' Enter your choice : ');
      if bc(k,1) < 3
         bc(k,2) = input(' Value = ');
      else
         disp(' u'' = (beta) + (gamma)*u')
         bc(k,2) = input(' Constant    (beta)  = ');
         bc(k,3) = input(' Coefficient (gamma) = ');
      end
   end
   [x,y,T] = elliptic(p,q,length/p,width/q,bc,f);
   surf(y,x,T)
   xlabel('x (m)')
   ylabel('y (m)')
   zlabel('T (deg C)')
   colorbar
   view(135,45)
   disp(' ')
   redo = input(' Repeat calculations (0/1) ? ');
   clc
end
