%Chapter 6: Numerical Solution of Partial Differential Equations
%
%Examples
%
%  Example6_1.m   Calculates the temperature profile of a rectangular plate solving the
%                 two-dimensional heat balance (elliptic.m).
%  Example6_2.m   Calculates the unsteady-state one-dimensional concentration profile of
%                 gas A diffusing in liquid B (parabolic1D.m).
%  Example6_3.m   Calculates the unsteady-state two-dimensional temperature profile in a
%                 furnace wall (parabolic2D.m).
%
%Methods
%
%  elliptic.m     Solution of two-dimensional elliptic partial differential equation.
%  parabolic1D.m  Solution of parabolic partial differential equation in one space dimension
%                 by the implicit Crank-Nicolson method.
%  parabolic2D.m  Solution of parabolic partial differential equation in two space dimension
%                 by the explicit method.
%
%Functions
%
%  Ex6_2_func.m   Contains the equation of the rate of chemical reaction (used in Example6_2.m).
%